Bug 611471 - Project website in package description is sometimes not clickable
Project website in package description is sometimes not clickable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 07:57 EDT by Sandro Mani
Modified: 2011-06-29 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2010-07-05 07:57:04 EDT
Description of problem:
Depending on the path one moves the mouse cursor to reach the project website link (in the lower right section of gpk-application), the link is not directly clickable but one additional click is necessary.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.2-1.fc13.x86_64
gnome-packagekit-2.31.4-1.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start gpk-application, populate the package list in some way, click on a package
2. If you move the mouse from the top section directly to the link, the link is immediately clickable, i.e.
-----------------------
|                     |
|               |     |
|               v     |
-----------------------
|          |  [link]  |
|          |          |
-----------------------
3. If you move the mouse from the bottom-left section in the bottom right section, then over the link, you need to click once on the link for the pointer cursor to appear, and then a second time to open the link, i.e.
-----------------------
|                     |
|                     |
|                     |
-----------------------
|          |  [link]  |
|       -> | --^      |
-----------------------
  
Actual results:


Expected results:
Link should be immediately clickable regardless of cursor path

Additional info:
Could possibly the approach of obtaining a non-editable treeview by using 
gtk_tree_selection_set_mode (selection, GTK_SELECTION_NONE);
in gpk-application.c:1202 be problematic?
Comment 1 Richard Hughes 2010-08-31 06:54:19 EDT
I've got no idea why this doesn't work when you go in via the bottom of the trievew. I'm changing the cursor in ->render, which you can see in http://git.gnome.org/browse/gnome-packagekit/tree/src/gpk-cell-renderer-uri.c

I'll cc mclasen, who is the GTK legend on our team.
Comment 2 Bug Zapper 2011-06-01 10:42:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:59:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.